/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var total = ko.observable(0),
        progress = ko.observable(0),
        visible = ko.observable(false),
        toCancel = ko.observable(false),
        isBulkKo = ko.observable(false),
        isKeywordAnalysis = ko.observable(false);

    return {
        total: total,
        progress: progress,
        visible: visible,
        toCancel: toCancel,
        isBulkKo: isBulkKo,
        isKeywordAnalysis: isKeywordAnalysis
    };
});
